Groovy Documentation

## org.codehaus.groovy.grails.resolve
[Groovy] Class IvyDomainSpecificLanguageEvaluator

    java.lang.Object
      org.codehaus.groovy.grails.resolve.IvyDomainSpecificLanguageEvaluator

    class IvyDomainSpecificLanguageEvaluator

Property Summary
`static java.lang.String` | `WILDCARD`
`java.lang.String` | `currentPluginBeingConfigured`
`IvyDependencyManager` | `delegate`
`boolean` | `inherited`
`boolean` | `pluginMode`
`boolean` | `repositoryMode`

Constructor Summary
`IvyDomainSpecificLanguageEvaluator(IvyDependencyManager delegate)`

Method Summary
`FileSystemResolver` | `createLocalPluginResolver(java.lang.String name, java.lang.String location)`
`void` | `credentials(groovy.lang.Closure c)`
`void` | `defaultDependenciesProvided(boolean b)`
`void` | `dependencies(groovy.lang.Closure deps)`
`void` | `ebr()`
`void` | `excludes(java.util.Map exclude)`
`void` | `excludes(java.lang.String excludeList)`
`void` | `flatDir(java.util.Map args)`
`void` | `grailsCentral()`
`void` | `grailsHome()`
`void` | `grailsPlugins()`
`void` | `grailsRepo(java.lang.String url, java.lang.String name = null)` Defines a repository that uses Grails plugin repository format.
`void` | `inherit(boolean b)`
`void` | `inherits(java.lang.String name, groovy.lang.Closure configurer)`
`void` | `inherits(java.lang.String name)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `log(java.lang.String level)`
`void` | `mavenCentral()`
`void` | `mavenLocal(java.lang.String repoPath)`
`void` | `mavenRepo(java.lang.String url)`
`void` | `mavenRepo(java.util.Map args)`
`void` | `plugin(java.lang.String name, groovy.lang.Closure callable)`
`void` | `plugins(groovy.lang.Closure callable)`
`void` | `pom(boolean b)`
`void` | `repositories(groovy.lang.Closure repos)` Same as #resolvers(Closure)
`void` | `resolver(java.lang.Object resolver)`
`void` | `resolvers(groovy.lang.Closure resolvers)` Defines dependency resolvers
`void` | `useOrigin(boolean b)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### WILDCARD

    static final java.lang.String WILDCARD

### currentPluginBeingConfigured

    java.lang.String currentPluginBeingConfigured

### delegate

    @Delegate
    IvyDependencyManager delegate

### inherited

    boolean inherited

### pluginMode

    boolean pluginMode

### repositoryMode

    boolean repositoryMode

Constructor Detail

### IvyDomainSpecificLanguageEvaluator

    IvyDomainSpecificLanguageEvaluator(IvyDependencyManager delegate)

Method Detail

### createLocalPluginResolver

    FileSystemResolver createLocalPluginResolver(java.lang.String name, java.lang.String location)

### credentials

    void credentials(groovy.lang.Closure c)

### defaultDependenciesProvided

    void defaultDependenciesProvided(boolean b)

### dependencies

    void dependencies(groovy.lang.Closure deps)

### ebr

    void ebr()

### excludes

    void excludes(java.util.Map exclude)

### excludes

    void excludes(java.lang.String excludeList)

### flatDir

    void flatDir(java.util.Map args)

### grailsCentral

    void grailsCentral()

### grailsHome

    void grailsHome()

### grailsPlugins

    void grailsPlugins()

### grailsRepo

    void grailsRepo(java.lang.String url, java.lang.String name = null)

  Defines a repository that uses Grails plugin repository format. Grails repositories are SVN repositories that follow a particular convention that is not Maven compatible. Ivy is flexible enough to allow the configuration of a resolver that resolves artifacts against non-Maven repositories

### inherit

    void inherit(boolean b)

### inherits

    void inherits(java.lang.String name, groovy.lang.Closure configurer)

### inherits

    void inherits(java.lang.String name)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### log

    void log(java.lang.String level)

### mavenCentral

    void mavenCentral()

### mavenLocal

    void mavenLocal(java.lang.String repoPath)

### mavenRepo

    void mavenRepo(java.lang.String url)

### mavenRepo

    void mavenRepo(java.util.Map args)

### plugin

    void plugin(java.lang.String name, groovy.lang.Closure callable)

### plugins

    void plugins(groovy.lang.Closure callable)

### pom

    void pom(boolean b)

### repositories

    void repositories(groovy.lang.Closure repos)

  Same as #resolvers(Closure)

### resolver

    void resolver(java.lang.Object resolver)

### resolvers

    void resolvers(groovy.lang.Closure resolvers)

  Defines dependency resolvers

### useOrigin

    void useOrigin(boolean b)

Groovy Documentation